## mysql-community 5.7.5-m15

=== debian/changelog ===
mysql-community (5.7.5-m15-1debian7) wheezy; urgency=low

  * new upstream release
  * added fakeroot as build-dep in d/control
  * added d/*.dirs for bench, dev and test pkg
  * updated d/rules to make compilation verbose
  * removed default CFLAGS, CXXFLAGS in d/rules
  * removed extra whitespaces in d/*.postrm
  * added CMake option to download boost if not available
  * removed extra file modification steps in d/rules
  * removed hotcopy, mysql_zap from d/mysql-community-server
  * removed mysql_waitpid from d/mysql-community-client
  * added patch for testsuite search paths under d/patches
  * modified cmake option for testsuite in d/rules
  * removed patch d/fix-mysql_install_db.patch
  * enabled one patch in d/patches/series
  * removed extra permissions check in d/rules when fixed in source
  * modified d/mysql-*-server.postinst to stop removing /usr/my.cnf
  * modified d/*-test.* for updated location of testsuite
  * updated d/{mysql-*-server.install,rules} to include debug plugins
  * updated d/rules to remove storage engine cmake options
  * modified data dir permission in d/*server.{pre,post}inst
  * updated d/source/include-binaries to add debug plugins
  * updated d/rules to rename debug plugins
  * updated d/source/include-binaries to add mysql_no_login.so
  * updated d/rules to increment -j8 as make option
  * updated CMake option WITH_EXTRA_CHARSETS from complex to all
  * updated d/*-server.postinst to call m_i_db with --datadir --insecure
    --mysqld-file
  * updated d/*-server.postinst to remove manual creation mysql db dir
  * removed test db prompt in d/*-server.{postinst,templates,config}

 -- Akhil Mohan <akhil.mohan@oracle.com>  Fri, 08 Aug 2014 11:27:30 +0530
